<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\MitarbeiterUebersicht\NewTeilnehmer\AusbilderUebersichtDialog;

class AusbilderUebersichtDialogController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AusbilderUebersichtDialogUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new AusbilderUebersichtDialogRequest();
    
    
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new AusbilderUebersichtDialogPresenter($pUseCaseResponse);
  }
}